I used to know how to save my X5 configuration (screen layout, options settings etc.) by saving some registry entries. I've forgotten how to do that. I'm using 7 (not pro) now, how to do that again?
I have PSP X2 on my laptop and it has developed a problem where it will not get through the initialization process. It comes up with the flash screen and after awhile the flash goes away and then nothing it just sits there and if you try to do anything you get a program not responding message and the only way out is to use the ctrl, alt, delete and exit manually. I have uninstalled the program and reinstalled it but this problem persists no matter what I do including going in and completely deleting everything corel from the hard drive.
how to completely flush the program and all the hidden files and registry entries so I can do a virgin install and start over without whatever glitch it has developed. There is an ini file or something that is staying on my computer and causing this problem.
I used this snip it to add the path for network tool palettes. It works but it keeps adding the same search path every time i open a new session of AutoCAD. The list keeps getting longer with the same information. Say you want to make sure your users all have a certain tool palette.
The problem is, that if you uninstall all things autodesk, and run a registry cleaner (or delete that key by hand), and then install only inventor view 2013 and run inventor view 2013, it will *not* create that key in the registry.
This makes it impossible to run the apprentice thru the COM mechanism, even your SDK samples will not work.
(i suspect (but havent proved), the bigger problem is on a brand new machine, install and run only inventor view 2013 , you still can't use the apprentice server.)
The 'workaround' is to install and run inventor view 2012. running inventor view 2012 will create the registry key. After that, running inventor view 2013 will happily update the key's value to the appropriate place.
Actually, I have more than 6 years experience on Catia V5 customization and vb and vb.net catia API's. What I am trying to do know is converting some applications or programs running on catia to the inventor.
The first program deal with the inventor API relating to the SweepFeatures class. So my first problem is about to find the right way to use the sketch3D for the creation of the path which is the input of the sweep method.
I know That is possible to create a path by using the CreatePath method when the input is SketchLines or any guide curve in the 2D Plan. Also, I tried to generate path by using the ProfilePath3D method of the sketch3D class but No way, the AddUsingPath method of the SweepFeatures Class doesn't accept it as path Input.
So I cannot imagine that is limitation of inventor because it was possible to do it by using the seep function of the model tab in the ipart document. How to create the path object as an input of the AddUsingPath method of the SweepFeatures class.
I have some negative space I created(black area, see first image) that I want to fill with type, not just a simple fill.
Basically I want to create the negative space from a bunch of small minus signs(-) that need to line up as they go across. If I type on each path one at a time as the text doesn't line up that way. This needs to be one continuous path. (see second image)
Unfortunately if I add them together, it creates a compound path, which you cannot type on, unless I am mistaken? So I need them to be a path, not a compound object.
I completed my path and clicked Load Path as a Selection. I have 2 cut out areas (holes) in the path, and the selection process did not include the holes, even though the path shows them. I had the button pressed "exclude overlapping path areas" when I made the path.How do I get the path to select the outline, minus the "holes"? Kind of like a coffee cup profile with the hole in the handle excluded to show just the outline of the cup.
I want to be able to transpose the perspective of the existing image to my new 3D prism shape.Why can't I create a path.. and then drag nodes on that path.. and warp the pixels at the same time???
It shouldn't apply to just 3d.. because I should be able to draw a rigid path around anything and warp / stretch the image from those points.
I am trying to create a custom palette that will load whenever Autocad loads. The code below works with one exception.
<CommandMethod("gtPalette")> _ Public Sub DoIt() If m_ps = Nothing Then Dim MYGuid As Guid = New Guid("{4AECF36F-C7E9-4C59-B72B-36A98DDA1D24}") m_ps = New Autodesk.AutoCAD.Windows.PaletteSet("gtPalette", MYGuid) myCoordPalette = New UserControl1() m_ps.Add("Coordinate List", myCoordPalette) End If m_ps.Visible = True End Sub
The problem is that my Palette title is now "gtPalette" which I do not want. However if I change
PaletteSet("gtPalette", MYGuid) to PaletteSet("GunTech Cogo", MYGuid)
Then what occurs is that when Acad (actually I'm using Civil 3D 2012) start it trys to execute a command called 'GunTech' and then one called "cogo'. Cogo being a valid Civil 3d Command brings up the Cogo dialog. If I then type the command gtPalette it appears in the correct location.
Currently on my development PC the first code works perfect and brings up a palette that even has the correct title of "GunTech Cogo". this info has presumable been saved with the GUID in my previous attempts to get the code to work.
I tried to make rectangle and get into create path.but i don;'t know hot to.First I made Rectangle
Dim Rectangle as SketchEntityEmulator Dim SplitPath as path Set Rectangle = SketchPlane.SketchLines.AddAsTowPointRectangle(Point1, Point2) then I tried Rectagle into Path PartDef.Features.CreatePath(Rectangle)
But There is a error...How i make Path from Rectangle? then I tried to SplitFaces.
I Got Face from HoleFeature. I Got Face like this. Dim oFace as Face Set oFace = HoleFeature.Faces.Item(1) and For Split I Add Face to FaceCollection like this Dim oFaceCollection as ObjecCollection Set oFaceCollection = ThisApplication.TransientObjects.CreateObjectCollection [code]....
If there are many rectangs and circles in the drawing. How can I use VBA to find the entries in a region(maybe boundary or closed polyline)? As below, You will find 3 rectangs and 2 circles...
I've read the posts pertaining to coil features along curved paths. The existing solutions are limited in that they must rely on a solid with the addition of a bend feature. How can I create a helical surface structure including multiple bends like the one shown?
I need to create a 3D model of a segment of a jogging path/trail that has a drainage feature called a knick. I pasted a freehand drawing of what a knick looks like below this post. It's a semi-circular area that slopes to one side at a small angle on a trail that is otherwise flat. I need a model of a trail segment with two of these sloping indentations that is just a smooth, gray object- nothing fancy. I managed to create a simple 3D model for a second trail design that has a slope to one side throughout the trail- made a box with a tapered edge and rendered it gray.
Since to my eye a knick looks like a lemon wedge indented into the face of a box- that's what I've been working towards. Made a box, made a cylinder, moved the cylinder so half of its base sits on top of the box face on which I want the indentation, and then used pushpull and subtract to take out a shallow semi-circular cut off the top of the box (did two of these about 20 units apart on the same face).
Here is where I ran into my own limitations. I don't know how to taper the semicircular cut so that it actually slopes off the face to the edge and doesn't look like a clean cut depression. I need it to slope to the edge at a 2% angle. I've tried tapering many times, but I don't think I completely understand the concept of the tapering axis (or rather I know that I completely misunderstand it) because all I end up doing is tapering the various faces of the box and the knick cut stays the same. I also tried out all the tools on the ribbon that look like they can be used for filling in or smoothing edges, but without any luck. Or should I be approaching the process of making the knick from a completely different set of commands?
I just began learning AutoCAD Civil 3D 2014. I inadverdently entered an extra survey name in the survey databases. I cannot find any way to delete an entry that I don't want. This entry is in the "Survey" tab in the toolspace. I tried to start a new drawing in hopes it would give me a clean toolspace, but it keeps showing the same information.
I'm having an issue that when I open AutoCAD and press any key on the keyboard the program kicks me out and closes with no error messages or anything. Just pooof and gone.
I'm an architect and I'm drawing up a development of 80 houses and I need to provide a Sales Plan which includes the width and length of each rear garden in the development. Rather than show these as actual dimensions on the drawing (which will get messy and make the drawing look untidy due to the large amount of units) I plan to create a simple table with plot number and dimensions.
My plan is to dimension the gardens on a non-printable layer and to insert a field into a table to obtain the required dimension. I've done this for the first few houses but I have to insert one field and then select the dimension to get the "m" dimension and then repeat the process in order to get the "ft" dimension.
My question is is it possible to insert a field (or two separate fields) that will display the dimension once in m (ie 12.80m) and once in 'architectural dimension style' (ie. 41' - 7 1/4") by only clicking on the dimension once??
This will save a lot of time as this size of development is quite common for me.
I am trying to create a template and want all of the revision material to show on all the sheets but the prompted entry that I have put into the template makes me re-enter it every time I change sheets. Is there any way to have it flow through onto all of the sheets instead of having to re-enter all the information.
For some reason unknown to us the Project Browser has double entries for the current projects: that is, a project shows up twice, with the same job number and such.
Windows Explorer correctly shows only one project folder, and in the Project Browser selecting either entry will bring up the project correctly.So, functionally we could live with this but I'd like to clean this up and I think deleting either entry would actually delete the project.
In an assembly, you can type in offset values for a part or assembly via the properties occurrence tab. Why is the x y and z offset angle entries grayed out? Is there any time that these could be used?
We meet a strange problem that all the line and cirele are twist as display. copy this file to another machine, or another version of AutoCAD, the problem still exist.
is thare a system value to control display effects?
If we have both the Xref and the File that it is referenced into open on one of the computers here and we reload, the Xref disappears. If we do an undo and close the Xref it reloads without problem.
I tried to replace the user profile from another PC that doesn’t have the problem, but it didn’t work. Is there a Registry setting that cause this behavior? All stations set to “Enabled with copy”